package com.mycompany.Formulaire;

import static com.codename1.ui.CN.*;
import com.codename1.ui.Button;
import com.codename1.ui.Dialog;
import com.codename1.ui.Form;
import com.codename1.ui.plaf.UIManager;
import com.codename1.ui.util.Resources;
import com.codename1.ui.Container;
import com.codename1.ui.FontImage;
import com.codename1.ui.TextComponent;
import com.codename1.ui.Toolbar;
import com.codename1.ui.events.ActionEvent;
import com.codename1.ui.events.ActionListener;
import com.codename1.ui.layouts.BorderLayout;
import com.codename1.ui.layouts.BoxLayout;
import com.codename1.ui.layouts.TextModeLayout;
import com.codename1.ui.validation.GroupConstraint;
import com.codename1.ui.validation.LengthConstraint;
import com.codename1.ui.validation.RegexConstraint;
import com.codename1.ui.validation.Validator;
import com.mycompany.Entite.Utilisateur;
import com.mycompany.gui.EvenementGUI;
import java.io.IOException;

/**
 * This file was generated by <a href="https://www.codenameone.com/">Codename One</a> for the purpose 
 * of building native mobile applications using Java.
 */
public class MyApplication {

    private Form current,Acceuil,home;
    private Resources theme;
    Toolbar tb1,tb2;
    public static Utilisateur  currentUser ; 

    

    public void init(Object context) {
    currentUser = new Utilisateur(2, null, null, null, null, null, null) ;
        theme = UIManager.initFirstTheme("/theme");

        // Enable Toolbar on all Forms by default
        Toolbar.setGlobalToolbar(true);

    
        // Pro only feature
        //Log.bindCrashProtection(true);
    }

    public void start() {
        
       if (current != null) {
            current.show();
            return;
        }
        
            

        
  

        TextModeLayout tm = new TextModeLayout(4, 2);
        home = new Form("Home", new BorderLayout());
        Container content = new Container(tm);
        
        TextComponent name = new TextComponent().labelAndHint("Name");
        content.add(tm.createConstraint().horizontalSpan(2), name);

        
        content.setScrollableY(true);
                
        Button submit = new Button("Submit");
        FontImage.setMaterialIcon(submit, FontImage.MATERIAL_DONE);
        submit.addActionListener(e -> {
            showOKForm(name.getField().getText());
        });
        
        home.add(CENTER, content);
        home.add(SOUTH, submit);
        
        Validator val = new Validator();
        val.setShowErrorMessageForFocusedComponent(true);
        val.addConstraint(name, 
                new GroupConstraint(
                        new LengthConstraint(2), 
                        new RegexConstraint("^([a-zA-Z ]*)$", "Please only use latin characters for name"))).
                addSubmitButtons(submit);

        home.show();
        
    }

    private void showOKForm(String name) {
        Form Acceuil = new Form("Acceuil", BoxLayout.y());
        tb1 =Acceuil.getToolbar();
       
         tb1.addCommandToSideMenu("Articles", null ,new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent evt) {
                Acceuil.show();
            }
        });
         tb1.addCommandToSideMenu("Espaces", null ,new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent evt) {
                Acceuil.show();
            }
        });
          tb1.addCommandToSideMenu("Offres", null ,new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent evt) {
                Acceuil.show();
            }
        });
           tb1.addCommandToSideMenu("Evenements", null ,new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent evt) {
                try {
                    EvenementGUI EG = new EvenementGUI() ;
                    EG.getF().show();
                } catch (IOException ex) {
                    
                }
            }
        });
            tb1.addCommandToSideMenu("Reclamation", null ,new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent evt) {
                Acceuil.show();
            }
        });
                  tb1.addCommandToSideMenu("Logout", null ,new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent evt) {
                home.showBack();
            }
        });
            
            
       
        Acceuil.show();
    }
    
    public void stop() {
        current = getCurrentForm();
        if(current instanceof Dialog) {
            ((Dialog)current).dispose();
            current = getCurrentForm();
        }
    }

    public void destroy() {
    }

}
